### Method

# Vips Rect overlapsrect

#### Declaration [src]

    gboolean
    vips_rect_overlapsrect (
      const VipsRect* r1,
      const VipsRect* r2
    )

#### Description [src]

Do `r1` and `r2` have a non-empty intersection?

#### Parameters

`r2`

  Type: `VipsRect`

  Second rectangle.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `r2` and `r1` overlap.